%define upstream_name    Net-GitHub
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Interface for github.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::LRU)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%{?perl_default_filter}

%description
Perl Interface for github.com 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/Net/

%changelog
* Fri Apr 24 2020 tv <tv> 1.10.0-1.mga8
+ Revision: 1571620
- update to 1.01

* Thu Apr 23 2020 tv <tv> 1.0.0-1.mga8
+ Revision: 1571206
- update to 1.00

* Fri Mar 27 2020 tv <tv> 0.990.0-1.mga8
+ Revision: 1560979
- update to 0.99

* Fri Mar 20 2020 tv <tv> 0.980.0-1.mga8
+ Revision: 1558175
- update to 0.98

* Thu Mar 19 2020 tv <tv> 0.970.0-1.mga8
+ Revision: 1557885
- update to 0.97

* Sat Mar 07 2020 tv <tv> 0.960.0-1.mga8
+ Revision: 1554629
- update to 0.96

* Wed Feb 12 2020 umeabot <umeabot> 0.950.0-3.mga8
+ Revision: 1505549
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.950.0-2.mga7
+ Revision: 1285122
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 0.950.0-1.mga7
+ Revision: 1216706
- Update to version 0.95

* Wed Mar 07 2018 shlomif <shlomif> 0.940.0-1.mga7
+ Revision: 1207230
- update to 0.94

* Mon Jan 08 2018 shlomif <shlomif> 0.930.0-1.mga7
+ Revision: 1191679
- update to 0.93

* Tue Dec 26 2017 shlomif <shlomif> 0.910.0-1.mga7
+ Revision: 1185309
- update to 0.91

* Tue Oct 03 2017 tv <tv> 0.900.0-3.mga7
+ Revision: 1165851
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.900.0-2.mga7
+ Revision: 1158573
- add BR on perl(inc::Module::Install)

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.900.0-1.mga7
+ Revision: 1157187
- new version 0.90

* Sun Jun 19 2016 pterjan <pterjan> 0.830.0-2.mga6
+ Revision: 1031076
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.830.0-1.mga6
+ Revision: 1002257
- New version 0.83

* Fri Feb 19 2016 umeabot <umeabot> 0.780.0-2.mga6
+ Revision: 970019
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.780.0-1.mga6
+ Revision: 884740
- update to 0.78

* Sun Jul 05 2015 sander85 <sander85> 0.770.0-1.mga6
+ Revision: 851145
- update to 0.77

* Wed Oct 15 2014 umeabot <umeabot> 0.680.0-4.mga5
+ Revision: 744856
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Sun Aug 31 2014 sander85 <sander85> 0.680.0-1.mga5
+ Revision: 669928
- update to 0.68

* Fri Aug 01 2014 sander85 <sander85> 0.660.0-1.mga5
+ Revision: 659074
- update to 0.66

* Tue Jul 01 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 641828
- update to 0.65

* Fri Jun 27 2014 sander85 <sander85> 0.640.0-1.mga5
+ Revision: 640351
- update to 0.64

* Fri May 30 2014 sander85 <sander85> 0.630.0-1.mga5
+ Revision: 627939
- update to 0.63

* Tue May 27 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 626980
- update to 0.62

* Tue May 20 2014 jquelin <jquelin> 0.600.0-1.mga5
+ Revision: 624352
- update to 0.60

* Tue Apr 15 2014 jquelin <jquelin> 0.590.0-1.mga5
+ Revision: 614913
- update to 0.59

* Thu Mar 13 2014 jquelin <jquelin> 0.570.0-1.mga5
+ Revision: 602982
- update to 0.57

* Mon Feb 10 2014 jquelin <jquelin> 0.560.0-1.mga5
+ Revision: 588547
- update to 0.56

* Mon Oct 21 2013 umeabot <umeabot> 0.540.0-2.mga4
+ Revision: 537580
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.540.0-1.mga4
+ Revision: 487321
- update to 0.54

* Sun Sep 08 2013 sander85 <sander85> 0.530.0-1.mga4
+ Revision: 475981
- update to 0.53

* Sun Jun 02 2013 kharec <kharec> 0.520.0-1.mga4
+ Revision: 434772
- update to 0.52

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 370623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 342435
- update to 0.50

* Tue Jun 05 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 255185
- update to 0.46
- update to 0.30

* Wed Mar 09 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 67011
- update to 0.28

* Tue Feb 22 2011 jquelin <jquelin> 0.270.0-1.mga1
+ Revision: 56645
- update to 0.27
- update to 0.26

* Tue Jan 25 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 38259
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Net-GitHub

